北极寒流 » 网络资源 » 新版wordpress禁用修订版本及自动保存功能方法 - 2014.07.20

新版wordpress禁用修订版本及自动保存功能方法

自wordpress 3.6之后的版本按以前的方法禁用修订版本及自动保存功能都已经失效了。以前wordpress是在functions.php 加设置代码禁止文章修订版本的:

//////// 移除自动保存和修订版本
remove_action('pre_post_update', 'wp_save_post_revision' );
add_action( 'wp_print_scripts', 'disable_autosave' );
function disable_autosave() {
	wp_deregister_script('autosave');
}

 

目前这种方法已经行不同了,现分享新方法:修改wordpress根目录的wp-config.php文件,在其中增加:

define('AUTOSAVE_INTERVAL', 36000000 ); //设置一个超长自动保存间隔,间接让自动保存功能失效
define('WP_POST_REVISIONS', false ); //禁用文章修订功能

 

测试wordpress 3.9有效

20

新版wordpress禁用修订版本及自动保存功能方法

分享到: